Subject: bug#25521: 26.0.50; After (make-frame '((name . "foo"))) (select-frame-by-name "foo") doesn't see the frame

From: Noam Postavsky <[email-masked]>
Date: Fri, 29 Sep 2017 18:47:50 -0400

martin rudalics <[email-masked]> writes:

>> I should check my assumptions more carefully, the problem was actually
>> that I didn't set the timeout correctly; the whole seconds part was
>> being dropped.  Fixed with the following (full patches are attached as
>> well).
>
> Alex can you test them?  Otherwise, install on the release branch.
>
> Many thanks, martin

I pushed the xterm.c [1: e1f6e3127a] and w32term [2: 695cf5300b] patches
to emacs-26.

[1: e1f6e3127a]: 2017-09-29 18:40:06 -0400
  Bring back the busy wait after x_make_frame_visible (Bug#25521)
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=e1f6e3127a292e6ba66d27c49ddda4fe949569f5

[2: 695cf5300b]: 2017-09-29 18:40:06 -0400
  Wait for frame visibility with timeout in w32term too
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=695cf5300b4f5b0a8f3bd615b3259a99c5532b5e